#include <stdio.h>

#include "kapi/kapi.h"H

struct kapi	*kern = NULL;

struct kapi_list {
	uint32_t	kver;
	struct kapi	*kapi;
};

static struct kapi_list klist[] = {
	{ LVE_API_VERSION(0,3), &api_04},
	{ LVE_API_VERSION(0,4), &api_04},
	{ LVE_API_VERSION(0,5), &api_05},
	/* last version to check */
	{ 0,			&api_05}
};


int kapi_init(void)
{
	int i = 0;
	int rc;

	if (kern != NULL)
		return 0;

	while(klist[i].kver != 0) {
		if (klist[i].kapi->lib_check(1)) {
			kern = klist[i].kapi;
			return 1;
		}
		i ++;
	}
	rc = klist[i].kapi->lib_check(0);
	if (rc)
		kern = klist[i].kapi;
	return rc;
}
